# Visualization
TKV3d
AIS

# AIS_DataMapNodeOfDataMapOfTransientTransient Class Reference

`#include <AIS_DataMapNodeOfDataMapOfTransientTransient.hxx>`

## Public Member Functions

| AIS_DataMapNodeOfDataMapOfTransientTransient (const Handle(Standard_Transient)&K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
Handle_Standard_Transient & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Standard_Transient | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

AIS_DataMapNodeOfDataMapOfTransientTransient::AIS_DataMapNodeOfDataMapOfTransientTransient | ( | const Handle(Standard_Transient)& | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS_DataMapNodeOfDataMapOfTransientTransient::Handle | ( | Standard_Type |  | ) | const

Handle_Standard_Transient& AIS_DataMapNodeOfDataMapOfTransientTransient::Key | ( |  | ) | const

Handle_Standard_Transient& AIS_DataMapNodeOfDataMapOfTransientTransient::Value | ( |  | ) | const

## Field Documentation

Handle_Standard_Transient AIS_DataMapNodeOfDataMapOfTransientTransient::myKey `[private]`

Handle_Standard_Transient AIS_DataMapNodeOfDataMapOfTransientTransient::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS_DataMapNodeOfDataMapOfTransientTransient.hxx